Subject: Re: bug#27397: [PATCH] New commands for bulk tracing of elisp functions

From: Dmitry Gutov <[email-masked]>
Date: Sun, 18 Jun 2017 01:59:57 +0300

On 6/17/17 3:31 PM, Phil Sainty wrote:

> In the process I noticed that the existing behaviour of trace--read-args
> was quite unfriendly if you wanted to set a trace buffer but had no need
> of a context expression -- typing RET at the context expression prompt
> triggered an "End of file during parsing" error, as that input string
> is processed by `read-from-string'.
> 
> I've changed that code to treat an empty input as "nil" (which is read
> to `nil'), and to ignore `nil' context expressions entirely (as opposed
> to printing their evaluated value as "[nil]" in the trace buffer).

Sounds good.

Why the rename, though? Those are not arguments for the function we're 
going to trace. trace--read-args sounds as appropriate, if not more.